### Method

# FwupdPlugin CompositeInputStream add_partial_stream

since: 2.0.0

#### Declaration [src]

    void
    fu_composite_input_stream_add_partial_stream (
      FuCompositeInputStream* self,
      FuPartialInputStream* partial_stream
    )

#### Description [src]

Adds a partial stream object.

Available since: 2.0.0

#### Parameters

`partial_stream`

  Type: `FuPartialInputStream`

  A `FuPartialInputStream`.

  The data is owned by the caller of the method.